Bug 704728 - upgrade from F-14 broken due to conflicts with polkit-desktop-policy
upgrade from F-14 broken due to conflicts with polkit-desktop-policy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-14 08:28 EDT by Peter Robinson
Modified: 2013-03-05 23:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-11 10:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-05-14 08:28:10 EDT
The upgrade (using yum in this case) is broken from F-14 on a standard gnome desktop install due to package conflicts with the old polkit-desktop-policy package.

  file /etc/polkit-1/localauthority.conf.d/60-desktop-policy.conf from install of polkit-0.101-6.fc15.i686 conflicts with file from package polkit-desktop-policy-0.98-4.fc14.noarch
Comment 1 Adam Williamson 2011-05-14 11:26:05 EDT
and one more time: f15 polkit-desktop-policy is 0.101-6.fc15 and does not conflict. again, how did your update miss this?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 James Laska 2011-05-16 12:23:28 EDT
Discussed during 2011-05-16 Fedora QA blocker review meeting [1].  Reserving decision until additional yum update information is available.  Note, that yum updates are not the supported/recommended upgrade procedure.  Therefore, it is unlikely that this issue would block the release.  Day-0 updates to the 'updates' repository may be sufficient to address a 'yum' distro-sync upgrade issue.

[1] http://meetbot.fedoraproject.org/fedora-meeting/2011-05-16/fedora-qa.2011-05-16-15.00.html
Comment 3 Adam Williamson 2011-05-17 17:26:08 EDT
Discussed at the go/no-go meeting of 2011-05-17. Agreed that this is not a blocker; as described it affects only yum upgrades, which are explicitly not supported and not specified in the release criteria. Additionally, no-one claims to be able to reproduce this while several say they have done yum upgrades and _not_ seen this, and no-one has seen a similar issue using any supported upgrade mechanism.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Peter Robinson 2011-06-11 10:17:08 EDT
Going to close these as I don't have the full logs. It seems I forced removal with rpm and let yum clean up the problem by pulling in the associated deps.

Note You need to log in before you can comment on or make changes to this bug.